PCAP-CONFIG(1)

NAME
pcap-config - write libpcap compiler and linker flags to standard output

SYNOPSIS
pcap-config [ --static ] [ --cflags | --libs | --additional-libs ]

DESCRIPTION

When run with the --cflags option, pcap-config writes to the standard output the -I compiler flags required to include libpcap's header files. When run with the --libs option, pcap-config writes to the standard output the -L and -l linker flags required to link with libpcap, including -l flags for libraries required by libpcap. When run with the --additional-libs option, pcap-config writes to the standard output the -L and -l flags for libraries required by libpcap, but not the -lpcap flag to link with libpcap itself.

By default, it writes flags appropriate for compiling with a dynamically-linked version of libpcap; the --static flag causes it to write flags appropriate for compiling with a statically-linked version of libpcap.

SEE ALSO
pcap(3PCAP)